iPGMail

Published by Wyllys Ingersoll on Apr 15, 2011
iPGMail icon

Genre: Utilities

Ratings: 4.31

Version: 2024.33.1

Updated: Aug 13, 2024

Downloads: 881

IPGMail is a utility app developed by Wyllys Ingersoll. Available for $2.99, it was updated to v2,024.33 on August 13, 2024, and currently holds a 4.31 out of 5 rating based on 221 reviews. Before downloading, make sure your device has at least 21 MB of free space and runs Android 12+ or iOS 13.0+.

PGP encryption made easy‪!‬

Video: IPGMail Overview

Description

iPGMail is an app that implements the OpenPGP standard (RFC 9580, RFC 6637) and allows the user to create and manage both public and private (RSA, DSA, ECDSA, EDDSA, ECDH) PGP keys and send and receive PGP encrypted messages.
Show more

Download IPGMail

Scan to Get the App! QR code for IPGMail

Using IPGMail on PC or Mac

IPGMail may be playable on Windows and macOS using Android emulators such as BlueStacks. Follow our BlueStacks installation guide to get started. Looking for IPGMail APK? Visit our forums for help finding authorized downloads, installing APK files, and troubleshooting installation issues.

User Reviews and Ratings

★★★★★ Works great!
Finally, something useful to decrypt encryption straight from email (share sheet). Indeed, the setup was a little clunky and confusing - like it'd be great if there's a way to import key file, so we don't need to copy paste every time - but once everything is setup, including face ID to unlock private key, then you're good to go.
★★★★★ Excellent app
Wonderfully full featured app, that is regularly maintained. Indispensable!
★★★☆☆ why renaming file after decryption
this app is good, but why it renames the file after it is decrypted?
★★★★☆ Very good app!
App does a great job overall but it doesn’t work with attachments.
★★★★★ Best so far for PGP
Of all the iPhone apps I’ve tested, this is the best one. The keychain can be edited via import (be sure to remove text outside of the markers) and it can encrypt and sign (take that, GPG4USB). Decryption displays verification immediately. The coding seems to be up to par with RFC 4880. Added bonus: The developer replied promptly to a request I made.
Read all reviews

Similar Utilities Apps

Твоя Подпись screenshot
Твоя Подпись
LED Banner Pro: Marquee maker screenshot
LED Banner Pro: Marquee maker
Top #56 in Utilities Apps
BalusterPro screenshot
BalusterPro
Top #19 in Utilities Apps
Pro CV Builder • Resume Maker screenshot
Pro CV Builder • Resume Maker
XML Viewer e convertitore PDF screenshot
XML Viewer e convertitore PDF
Air Finder: Device Locator App screenshot
Air Finder: Device Locator App
Top #93 in Utilities Apps